Debian Bug report logs - #423732
dialog --tailbox not functional

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Andrey Melnikov <temnota@kmv.ru>

Date: Mon, 14 May 2007 06:57:01 UTC

Severity: serious

Found in version dialog/1.1-20070409-2

Fixed in version dialog/1.1-20070514-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#423732; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Andrey Melnikov <temnota@kmv.ru>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrey Melnikov <temnota@kmv.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog --tailbox not functional
Date: Mon, 14 May 2007 10:55:14 +0400
Package: dialog
Version: 1.1-20070409-2
Severity: important

Hello. 
"dialog --stdout --clear --no-shadow --tailbox /var/log/messages 25 70"
not functional anymore. Previous version in etch - functional normally.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-rc6 (SMP w/2 CPU cores)
Locale: LANG=ru_RU.KOI8-R, LC_CTYPE=ru_RU.KOI8-R (charmap=KOI8-R)
Shell: /bin/sh linked to /bin/bash

Versions of packages dialog depends on:
ii  debianutils                   2.18       Miscellaneous utilities specific t
ii  libc6                         2.5-7      GNU C Library: Shared libraries
ii  libncursesw5                  5.5-5      Shared libraries for terminal hand

dialog recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#423732; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 423732@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: control@bugs.debian.org
Cc: 423732@bugs.debian.org
Subject: Re: Bug#423732: dialog --tailbox not functional
Date: Mon, 14 May 2007 11:03:11 +0200 (CEST)
severity 423732 serious
thanks

This bug makes me not to want this package to enter testing yet.



Severity set to `serious' from `important' Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. (Mon, 14 May 2007 09:09:07 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #15 received at 423732-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 423732-forwarded@bugs.debian.org, Andrey Melnikov <temnota@kmv.ru>
Subject: Bug#423732: dialog --tailbox not functional (fwd)
Date: Mon, 14 May 2007 11:12:54 +0200 (CEST)
Hello.

Received this from the Debian BTS. I've increased the severity to "serious"
to avoid this package to enter testing, as it's a regression.

---------- Forwarded message ----------
From: Andrey Melnikov <temnota@kmv.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Mon, 14 May 2007 10:55:14 +0400
Subject: Bug#423732: dialog --tailbox not functional

Package: dialog
Version: 1.1-20070409-2
Severity: important

Hello. 
"dialog --stdout --clear --no-shadow --tailbox /var/log/messages 25 70"
not functional anymore. Previous version in etch - functional normally.

[...]



Message #16 received at 423732-forwarded@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 423732-forwarded@bugs.debian.org, Andrey Melnikov <temnota@kmv.ru>
Subject: Re: Bug#423732: dialog --tailbox not functional (fwd)
Date: Mon, 14 May 2007 06:19:45 -0400 (EDT)
On Mon, 14 May 2007, Santiago Vila wrote:

> Hello.
>
> Received this from the Debian BTS. I've increased the severity to "serious"
> to avoid this package to enter testing, as it's a regression.

I'll investigate this evening (thanks)

>
> ---------- Forwarded message ----------
> From: Andrey Melnikov <temnota@kmv.ru>
> To: Debian Bug Tracking System <submit@bugs.debian.org>
> Date: Mon, 14 May 2007 10:55:14 +0400
> Subject: Bug#423732: dialog --tailbox not functional
>
> Package: dialog
> Version: 1.1-20070409-2
> Severity: important
>
> Hello.
> "dialog --stdout --clear --no-shadow --tailbox /var/log/messages 25 70"
> not functional anymore. Previous version in etch - functional normally.
>
> [...]
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrey Melnikov <temnota@kmv.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 423732-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 423732-close@bugs.debian.org
Subject: Bug#423732: fixed in dialog 1.1-20070514-1
Date: Tue, 15 May 2007 12:32:05 +0000
Source: dialog
Source-Version: 1.1-20070514-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20070514-1.diff.gz
  to pool/main/d/dialog/dialog_1.1-20070514-1.diff.gz
dialog_1.1-20070514-1.dsc
  to pool/main/d/dialog/dialog_1.1-20070514-1.dsc
dialog_1.1-20070514-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.1-20070514-1_powerpc.deb
dialog_1.1-20070514.orig.tar.gz
  to pool/main/d/dialog/dialog_1.1-20070514.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 423732@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 15 May 2007 14:11:00 +0200
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.1-20070514-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 418905 423732
Changes: 
 dialog (1.1-20070514-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixed timeout regression (Closes: #418905).
   * Fixed tailbox regression (Closes: #423732).
Files: 
 44338aa3224367f0f5d671b7b4427d84 593 misc optional dialog_1.1-20070514-1.dsc
 1a5dd79088ac3ba3047b48e7efaea8d1 365832 misc optional dialog_1.1-20070514.orig.tar.gz
 3952d8738a186721eb02a9aff8341080 8876 misc optional dialog_1.1-20070514-1.diff.gz
 68af9d4389661324d7e73e3716b0881e 259570 misc optional dialog_1.1-20070514-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGSaShd9Uuvj7yPNYRAsEFAKCwWE6XndZ8chfL0E69gPmNqc+JmQCePSGa
wZrTTTgF9NOkrZLWSwL5zcc=
=TrFD
-----END PGP SIGNATURE-----




Message #22 received at 423732-forwarded@bugs.debian.org (full text, mbox):

From: "Andrey J. Melnikoff (TEMHOTA)" <temnota@kmv.ru>
To: Thomas Dickey <dickey@his.com>
Cc: Santiago Vila <sanvila@unex.es>, 423732-forwarded@bugs.debian.org
Subject: Re: Bug#423732: dialog --tailbox not functional (fwd)
Date: Wed, 23 May 2007 14:42:22 +0400
Hi Thomas Dickey!
 On Mon, May 14, 2007 at 06:19:45AM -0400, Thomas Dickey wrote next:

> On Mon, 14 May 2007, Santiago Vila wrote:
> 
> >Hello.
> >
> >Received this from the Debian BTS. I've increased the severity to "serious"
> >to avoid this package to enter testing, as it's a regression.
> 
> I'll investigate this evening (thanks)
Still no go - file re-readed ONLY after I press Left/Right key.
Up/Down keys - only refresh screen and nothing.
 
> >---------- Forwarded message ----------
> >From: Andrey Melnikov <temnota@kmv.ru>
> >To: Debian Bug Tracking System <submit@bugs.debian.org>
> >Date: Mon, 14 May 2007 10:55:14 +0400
> >Subject: Bug#423732: dialog --tailbox not functional
> >
> >Package: dialog
> >Version: 1.1-20070409-2
> >Severity: important
> >
> >Hello.
> >"dialog --stdout --clear --no-shadow --tailbox /var/log/messages 25 70"
> >not functional anymore. Previous version in etch - functional normally.
> >
> >[...]

-- 
 Best regards, TEMHOTA-RIPN aka MJA13-RIPE
 System Administrator. mailto:temnota@kmv.ru




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#423732; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #27 received at 423732@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: "Andrey J. Melnikoff (TEMHOTA)" <temnota@kmv.ru>
Cc: 423732@bugs.debian.org
Subject: Re: Bug#423732: dialog --tailbox not functional (fwd)
Date: Wed, 23 May 2007 06:53:38 -0400 (EDT)
On Wed, 23 May 2007, Andrey J. Melnikoff (TEMHOTA) wrote:

> Hi Thomas Dickey!
> On Mon, May 14, 2007 at 06:19:45AM -0400, Thomas Dickey wrote next:
>
>> On Mon, 14 May 2007, Santiago Vila wrote:
>>
>>> Hello.
>>>
>>> Received this from the Debian BTS. I've increased the severity to "serious"
>>> to avoid this package to enter testing, as it's a regression.
>>
>> I'll investigate this evening (thanks)
> Still no go - file re-readed ONLY after I press Left/Right key.
> Up/Down keys - only refresh screen and nothing.

up/down keys don't do anything, haven't done anything in tailbox in any
previous version.

That's a wishlist item which you should report separately.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#423732; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to "Andrey J. Melnikoff (TEMHOTA)" <temnota@kmv.ru>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #32 received at 423732@bugs.debian.org (full text, mbox):

From: "Andrey J. Melnikoff (TEMHOTA)" <temnota@kmv.ru>
To: Thomas Dickey <dickey@his.com>
Cc: 423732@bugs.debian.org
Subject: Re: Bug#423732: dialog --tailbox not functional (fwd)
Date: Thu, 24 May 2007 12:59:04 +0400
Hi Thomas Dickey!
 On Wed, May 23, 2007 at 06:53:38AM -0400, Thomas Dickey wrote next:

> >>>Hello.
> >>>
> >>>Received this from the Debian BTS. I've increased the severity to 
> >>>"serious"
> >>>to avoid this package to enter testing, as it's a regression.
> >>
> >>I'll investigate this evening (thanks)
> >Still no go - file re-readed ONLY after I press Left/Right key.
> >Up/Down keys - only refresh screen and nothing.
> up/down keys don't do anything, haven't done anything in tailbox in any
> previous version.

In this version - file content re-readed and displayed only if I press 
Left/Right key. If I don't touch keyboard - dialog stay in loop
into dlg_getc(). File content not checked and not displayed.

> That's a wishlist item which you should report separately.
 

-- 
 Best regards, TEMHOTA-RIPN aka MJA13-RIPE
 System Administrator. mailto:temnota@kmv.ru




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#423732; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #37 received at 423732@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: "Andrey J. Melnikoff (TEMHOTA)" <temnota@kmv.ru>, 423732@bugs.debian.org
Subject: Re: Bug#423732: dialog --tailbox not functional (fwd)
Date: Thu, 24 May 2007 06:02:44 -0400 (EDT)
On Thu, 24 May 2007, Andrey J. Melnikoff (TEMHOTA) wrote:

> Hi Thomas Dickey!
> On Wed, May 23, 2007 at 06:53:38AM -0400, Thomas Dickey wrote next:
>
>>>>> Hello.
>>>>>
>>>>> Received this from the Debian BTS. I've increased the severity to
>>>>> "serious"
>>>>> to avoid this package to enter testing, as it's a regression.
>>>>
>>>> I'll investigate this evening (thanks)
>>> Still no go - file re-readed ONLY after I press Left/Right key.
>>> Up/Down keys - only refresh screen and nothing.
>> up/down keys don't do anything, haven't done anything in tailbox in any
>> previous version.
>
> In this version - file content re-readed and displayed only if I press
> Left/Right key. If I don't touch keyboard - dialog stay in loop
> into dlg_getc(). File content not checked and not displayed.

I see (sounds as if this is broken by the change I made to not pass
ERR results from dlg_getc).  I'll look/see for a better fix.

thanks

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:41:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:16:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.